ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Timothy Meazell <Timothy_Meaz...@gap.com.INVALID>
Subject ${compat.module}
Date Wed, 06 Jul 2016 21:57:43 GMT
We’re attempting to upgrade our HBase version and have encountered a seemingly intractable
issue in that the Maven version of the module "hbase-testing-util” contains a dependency
specified as above.

Somehow, Maven itself (mvn) and Gradle are able to resolve this; not so with ivy.  Try as
we might, we haven’t been able to resolve it, and end up with the following:

[ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] 		::          UNRESOLVED DEPENDENCIES         ::
[ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] 		:: org.apache.hbase#${compat.module};1.1.2: not found
[ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::

Google, though it reports a bug in the publication to the Maven repository with respect to
this, has not otherwise be able to provide us with a solution.  One of our engineers cobbled
together some crazy ivy declarations:

    <dependency org="org.apache.hbase" name="hbase-server" rev="1.1.2">
        <artifact name="hbase-server" type="test-jar" ext="jar" conf="" classifier="tests"/>
    </dependency>
    <dependency org="org.apache.hbase" name="hbase-hadoop-compat" rev="1.1.2" />
    <dependency org="org.apache.hbase" name="hbase-hadoop-compat" rev="1.1.2">
        <artifact name="hbase-hadoop-compat" type="test-jar" ext="jar" conf="" classifier="tests"/>
    </dependency>
    <dependency org="org.apache.hbase" name="hbase-hadoop2-compat" rev="1.1.2" conf="*"/>
    <dependency org="org.apache.hbase" name="hbase-hadoop2-compat" rev="1.1.2">
        <artifact name="hbase-hadoop2-compat" type="test-jar" ext="jar" conf="" classifier="tests"/>
    </dependency>

which actually do allow it to resolve by bypassing the transitivity that appears to be the
root cause, but this brings in another issue:

[ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] 		::          UNRESOLVED DEPENDENCIES         ::
[ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] 		:: jdk.tools#jdk.tools;1.7: not found
[ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::

which defies logic, as this apparently refers to “tools.jar” which resides in the $JAVA_HOME/lib
directory, which seems to be found by Maven through the use of the ${java.home} variable/property.

Thanks in advance for any assistance.

Tim


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org

Mime
View raw message